Package org.eclipse.cdt.core.errorparsers

## Class AbstractErrorParser

- java.lang.Object
- - org.eclipse.cdt.core.errorparsers.AbstractErrorParser

All Implemented Interfaces:
  `IErrorParser`

    public class AbstractErrorParser
    extends Object
    implements IErrorParser

Abstract Error Parser that implements simple line processing using patterns array

Since:
  5.1

### Constructor Summary

Constructors
`protected` `AbstractErrorParser​(ErrorPattern[] patterns)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `processLine​(String line, ErrorParserManager manager)` Finds error or warnings on the given line

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AbstractErrorParser

    protected AbstractErrorParser​(ErrorPattern[] patterns)

### Method Detail

#### processLine

    public boolean processLine​(String line,
                               ErrorParserManager manager)

Description copied from interface: `IErrorParser`
Finds error or warnings on the given line

Specified by:
  `processLine` in interface `IErrorParser`
Parameters:
  `line` - - line of the input
  `manager` - - error parsers manager
Returns:
  true if error parser recognized and accepted line, false otherwise